# This is an example of an observer that watches the materials collection
# for new materials and shows a messagebox.
class MyMaterialsObserver < Sketchup::MaterialsObserver
	def onMaterialAdd(materials, material)
	  UI.messagebox("onMaterialAdd: " + material.to_s)
	end

  def onMaterialRefChange(materials, material)
	  UI.messagebox("onMaterialRefChange: " + material.to_s)
	end
  
  # This fires, but not when you'd expect.
  def onMaterialRemoveAll(materials) 
	  UI.messagebox("onMaterialRemoveAll: " + materials.to_s)
	end
  def onMaterialSetCurrent(materials, material)
	  UI.messagebox("onMaterialSetCurrent: " + materials.to_s)
	end

  def onMaterialChange(materials, material) # Yes, on texture change
    UI.messagebox("onMaterialChange: " + material.to_s)
  end

  def onMaterialRemove(materials, material)
   UI.messagebox("onMaterialRemove: " + material.to_s)
  end
end

# Attach the observer.
Sketchup.active_model.materials.add_observer(MyMaterialsObserver.new)